## org.biojava.bio.program.das
Class DataSource

    java.lang.Object
      org.biojava.bio.program.das.DataSource

Direct Known Subclasses:
  ReferenceServer

    public class DataSource

extends java.lang.Object

Reflect a datasource (reference or annotation) in the DAS1 network.

Author:
  Matthew Pocock, Thomas Down

Method Summary
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getDescription()`
`DistDataSource` `getDistDataSource()`
`java.net.URL` `getMapURL()`
`java.lang.String` `getName()`
`java.net.URL` `getURL()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getURL

    public java.net.URL getURL()

### getMapURL

    public java.net.URL getMapURL()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getDistDataSource

    public DistDataSource getDistDataSource()
                                     throws BioException

  Throws:
    `BioException`